/*
███████╗██╗███╗   ██╗ ██████╗ ███████╗██████╗     ██╗    ██╗███████╗ ██████╗ 
██╔════╝██║████╗  ██║██╔════╝ ██╔════╝██╔══██╗    ██║    ██║██╔════╝██╔════╝ 
█████╗  ██║██╔██╗ ██║██║  ███╗█████╗  ██████╔╝    ██║ █╗ ██║█████╗  ██║  ███╗
██╔══╝  ██║██║╚██╗██║██║   ██║██╔══╝  ██╔══██╗    ██║███╗██║██╔══╝  ██║   ██║
██║     ██║██║ ╚████║╚██████╔╝███████╗██║  ██║    ╚███╔███╔╝███████╗╚██████╔╝
╚═╝     ╚═╝╚═╝  ╚═══╝ ╚═════╝ ╚══════╝╚═╝  ╚═╝     ╚══╝╚══╝ ╚══════╝ ╚═════╝ 
*/

const BASE_URL = `${window.location.origin}/${window.location.pathname.split('/').filter((e, i)=>{return i>0 & i<4}).join('/')}`;
const ON = true;
const OFF = false;
const EMPTY_LINK = "javascript:undefined";
const DEFAULT = {
  social: {
    twitter: {
      icon: `${BASE_URL}/assets/images/twitter.png`,
      profile: "https://twitter.com/InnolabM4"
    },
    facebook: {
      icon: `${BASE_URL}/assets/images/facebook.png`,
      profile: "https://www.facebook.com/HfTStuttgart"
    },
    linkedin: {
      icon: `${BASE_URL}/assets/images/linkedin.png`,
      profile: "https://www.linkedin.com/school/hochschule-f%C3%BCr-technik-stuttgart-%E2%80%93-university-of-applied-sciences"
    },
    webpage: {
      icon: `${BASE_URL}/assets/images/webpage.png`,
      profile: "https://www.hft-stuttgart.de"
    }
  },
  avatar: `${BASE_URL}/assets/images/avatar.png`
};

/*
███████╗███████╗████████╗████████╗██╗███╗   ██╗ ██████╗ ███████╗
██╔════╝██╔════╝╚══██╔══╝╚══██╔══╝██║████╗  ██║██╔════╝ ██╔════╝
███████╗█████╗     ██║      ██║   ██║██╔██╗ ██║██║  ███╗███████╗
╚════██║██╔══╝     ██║      ██║   ██║██║╚██╗██║██║   ██║╚════██║
███████║███████╗   ██║      ██║   ██║██║ ╚████║╚██████╔╝███████║
╚══════╝╚══════╝   ╚═╝      ╚═╝   ╚═╝╚═╝  ╚═══╝ ╚═════╝ ╚══════╝
*/

let settings = {

  pageTitle: "Middleware",

  switches: [
    {
      name: "projectLogo",
      state: OFF
    },
    {
      name: "projectName",
      state: ON
    },
    {
      name: "menu",
      state: OFF
    },
    {
      name: "participants",
      state: ON
    },
    {
      name: "footerLogos",
      state: ON
    }
  ],

  projectLogo: `${BASE_URL}/assets/logos/M4_LAB_tr.png`,

  projectName: "Middleware",

  menu: [
    {
      menuText: "home",
      link: `${BASE_URL}/home/`
    },
    {
      menuText: "results",
      link: `${BASE_URL}/results/`
    },
    {
      menuText: "demo",
      link: "http://example.com"
    }
  ],

  participants: [
    {
      name: "Kevin Kutzner",
      avatar: "https://www.hft-stuttgart.de/fileadmin/Dateien/Profilbilder/_processed_/0/f/csm_foto_sepia_50prozent_1f57d4d631.jpg",
      email: "kevin.kutzner@hft-stuttgart.de",
      social: [
        {
          agent: "webpage",
          icon: DEFAULT.social.webpage.icon,
          profile: "https://www.hft-stuttgart.de/p/kevin-kutzner"
        }
      ]
    }
  ],

  footerLogos: [
    {
      logo: `${BASE_URL}/assets/logos/Logo_M4_LAB.jpg`,
      href: EMPTY_LINK,
      title: "M4_LAB"
    },
    {
      logo: `${BASE_URL}/assets/logos/logo1.png`,
      href: "http://www.innovative-hochschule.de",
      title: "Innovative Hochschule"
    },
    {
      logo: `${BASE_URL}/assets/logos/logo2.png`,
      href: "https://www.bmbf.de",
      title: "Bundesministerium für Bildung und Forschung"
    },
    {
      logo: `${BASE_URL}/assets/logos/logo3.png`,
      href: "https://www.gwk-bonn.de",
      title: "Die Gemeinsame Wissenschaftskonferenz"
    }
  ]
};
